Main Page Class List Class Members

# Nv::Blast::Triangulator Class Reference

`#include <NvBlastExtAuthoringTriangulator.h>`

List of all members.

## Public Member Functions
std::vector< uint32_t > & | getBaseMapping ()
std::vector< Triangle > & | getBaseMesh ()
std::vector< TriangleIndexed > & | getBaseMeshIndexed ()
std::vector< Triangle > & | getBaseMeshNotFitted ()
int32_t & | getParentChunkId ()
std::vector< int32_t > & | getPositionedMapping ()
uint32_t | getWeldedVerticesCount ()
void | reset ()
void | triangulate (const Mesh *mesh)

## Detailed Description

Tool for doing all post processing steps of authoring.

## Member Function Documentation

std::vector<uint32_t>& Nv::Blast::Triangulator::getBaseMapping | ( |  | ) | `[inline]`

Returns:
  Return mapping from vertices of input Mesh to internal vertices buffer. Used for island detection.

std::vector<Triangle>& Nv::Blast::Triangulator::getBaseMesh | ( |  | ) | `[inline]`

Returns:
  Return array of triangles of base mesh.

std::vector<TriangleIndexed>& Nv::Blast::Triangulator::getBaseMeshIndexed | ( |  | ) | `[inline]`

Returns:
  Return array of TriangleIndexed of base mesh. Each TriangleIndexed contains index of corresponding vertex in internal vertex buffer.

std::vector<Triangle>& Nv::Blast::Triangulator::getBaseMeshNotFitted | ( |  | ) | `[inline]`

int32_t& Nv::Blast::Triangulator::getParentChunkId | ( |  | ) | `[inline]`

std::vector<int32_t>& Nv::Blast::Triangulator::getPositionedMapping | ( |  | ) | `[inline]`

Returns:
  Return mapping from vertices of input Mesh to internal vertices buffer, only positions are accounted. Used for island detection.

uint32_t Nv::Blast::Triangulator::getWeldedVerticesCount | ( |  | ) | `[inline]`

Returns:
  Return internal vertex buffer size. Vertices internally are welded with some threshold.

void Nv::Blast::Triangulator::reset | ( |  | ) |

Removes all information about mesh triangulation.

void Nv::Blast::Triangulator::triangulate | ( | const Mesh * | mesh | ) |

Triangulates provided mesh and saves result internally. Uses Ear-clipping algorithm.

Parameters:

  `[in]` | mesh | Mesh for triangulation

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/NvBlastExtAuthoringTriangulator.h